--[==[

	Copyright (c) 2019, S T Pain

	Permission is hereby granted, free of charge, to any person obtaining a copy
	of this software and associated documentation files (the "Software"), to deal
	in the Software without restriction, including without limitation the rights
	to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
	copies of the Software, and to permit persons to whom the Software is
	furnished to do so, subject to the following conditions:

	The above copyright notice and this permission notice shall be included in all
	copies or substantial portions of the Software.

	THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
	IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
	FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
	AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
	LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
	OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
	SOFTWARE.
	
	-----------------------------------------------------------------------------
	FORAGER
	
	This addon is designed to record herb and ore location that the player finds
	
	Originally written by Silvessa (Darkmoon Faire, then later Argent Dawn)
	
]==]--

local name, Forager = ...

Forager.ForagingSpells = {
	
}

-- class colours 
Forager.ClassColours = {
	--DEATHKNIGHT = { r = 0.77, g = 0.12, b = 0.23, fs = '|cffC41F3B' },
	DRUID = { r = 1.00, g = 0.49, b = 0.04, fs = '|cffFF7D0A' },
	HUNTER = { r = 0.67, g = 0.83, b = 0.45, fs = '|cffABD473' },
	MAGE = { r = 0.25, g = 0.78, b = 0.92, fs = '|cff40C7EB' },
	PALADIN = { r = 0.96, g = 0.55, b = 0.73, fs = '|cffF58CBA' },
	PRIEST = { r = 1.00, g = 1.00, b = 1.00, fs = '|cffFFFFFF' },
	ROGUE = { r = 1.00, g = 0.96, b = 0.41, fs = '|cffFFF569' },
	SHAMAN = { r = 0.00, g = 0.44, b = 0.87, fs = '|cff0070DE' },
	WARLOCK = { r = 0.53, g = 0.53, b =	0.93, fs = '|cff8787ED' },
	WARRIOR = { r = 0.78, g = 0.61, b = 0.43, fs = '|cffC79C6E' },
	Total = { r = 1, g = 1, b = 1 }
}

Forager.Herbs = {
	'Peacebloom',
	'Silverleaf',
	'Swiftthistle',
	'Bloodthistle',
	'Earthroot',
	'Mageroyal',
	'Briarthorn',
	'Stranglekelp',
	'Bruiseweed',
	'Grave Moss',
	'Grave Moss Leaf',
	'Wild Steelbloom',
	'Kingsblood',
	'Liferoot',
	'Fadeleaf',
	'Goldthorn',
	'Khadgar\'s Whisker',
	'Dragon\'s Teeth',
	'Wintersbite',
	'Firebloom',
	'Purple Lotus',
	'Sungrass',
	'Blindweed',
	'Ghost Mushroom',
	'Gromsblood',
	'Golden Sansam',
	'Dreamfoil',
	'Mountain Silversage',
	'Sorrowmoss',
	'Plaguebloom',
	'Icecap',
	'Black Lotus',
	'Blacker lotus'
}

Forager.Ore = {
	'Copper Vein',
	'Gold Vein',
	'Hakkari Thorium Vein',
	'Incendicite Mineral Vein',
	'Indurium Mineral Vein',
	'Ooze Covered Gold Vein',
	'Ooze Covered Rich Thorium Vein',
	'Ooze Covered Silver Vein',
	'Ooze Covered Thorium Vein',
	'Rich Thorium Vein',
	'Silver Vein',
	'Small Thorium Vein',
	'Tin Vein',
	'Dark Iron Deposit',
	'Iron Deposit',
	'Lesser Bloodstone Deposit',
	'Mithril Deposit',
	'Ooze Covered Mithril Deposit',
	'Ooze Covered Truesilver Deposit',
	'Truesilver Deposit'
}

Forager.MapZoneTable = {
	'Durotar',
	'Mulgore',
	'Northern Barrens',
	'Arathi Highlands',
	'Badlands',
	'Blasted Lands',
	'Tirisfal Glades',
	'Silverpine Forest',
	'Western Plaguelands',
	'Eastern Plaguelands',
	'Hillsbrad Foothills',
	'The Hinterlands',
	'Dun Morogh',
	'Searing Gorge',
	'Burning Steppes',
	'Elwynn Forest',
	'Deadwind Pass',
	'Duskwood',
	'Loch Modan',
	'Redridge Mountains',
	'Northern Stranglethorn',
	'Swamp of Sorrows',
	'Westfall',
	'Wetlands',
	'Teldrassil',
	'Darkshore',
	'Ashenvale',
	'Thousand Needles',
	'Stonetalon Mountains',
	'Desolace',
	'Feralas',
	'Dustwallow Marsh',
	'Tanaris',
	'Azshara',
	'Felwood',
	'Un\'Goro Crater',
	'Moonglade',
	'Silithus',
	'Winterspring',
	'Stormwind City',
	'Orgrimmar',
	'Ironforge',
	'Thunder Bluff',
	'Darnassus',
	'Undercity',
	'Eversong Woods',
	'Ghostlands',
	'Azuremyst Isle',
	'Hellfire Peninsula',
	'Zangarmarsh',
	'The Exodar',
	'Shadowmoon Valley',
	'Blade\'s Edge Mountains',
	'Bloodmyst Isle',
	'Nagrand',
	'Terokkar Forest',
	'Netherstorm',
	'Silvermoon City',
	'Shattrath City',
	'Borean Tundra',
	'Dragonblight',
	'Grizzly Hills',
	'Howling Fjord',
	'Icecrown',
	'Sholazar Basin',
	'The Storm Peaks',
	'Zul\'Drak',
	'Isle of Quel\'Danas',
	'Wintergrasp',
	'Crystalsong Forest',
	'Hrothgar\'s Landing',
	'The Lost Isles',
	'Kezan',
	'Mount Hyjal',
	'Southern Barrens',
	'Kelp\'thar Forest',
	'Gilneas City',
	'Vashj\'ir',
	'Abyssal Depths',
	'Shimmering Expanse',
	'Deepholm',
	'The Cape of Stranglethorn',
	'Ruins of Gilneas',
	'Stranglethorn Vale',
	'Twilight Highlands',
	'Tol Barad',
	'Tol Barad Peninsula',
	'Uldum',
	'The Maelstrom',
	'The Jade Forest',
	'Valley of the Four Winds',
	'Kun-Lai Summit',
	'Townlong Steppes',
	'Vale of Eternal Blossoms',
	'Krasarang Wilds',
	'Dread Wastes',
	'Northshire',
	'The Veiled Stair',
	'Shadowglen',
	'Valley of Trials',
	'Camp Narache',
	'Echo Isles',
	'Deathknell',
	'Sunstrider Isle',
	'Ammen Vale',
	'New Tinkertown',
	'Isle of Thunder',
	'Isle of Giants',
	'Frostfire Ridge',
	'Tanaan Jungle',
	'Talador',
	'Shadowmoon Valley',
	'Spires of Arak',
	'Gorgrond',
	'Nagrand',
	'Timeless Isle',
	'Ashran',
	'Dalaran',
	'Azsuna',
	'Stormheim',
	'Val\'sharah',
	'Broken Shore',
	'Highmountain',
	'Suramar',
	'Trueshot Lodge',
	'Eye of Azshara',
	'Krokuun',
	'Zuldazar',
	'Nazmir',
	'Vol\'dun',
	'Mac\'Aree',
	'Antoran Wastes',
	'Tiragarde Sound',
	'Drustvar',
	'Stormsong Valley',
	'Tirisfal Glades',
	'Undercity',
	'The MOTHERLODE!!',
	'Uncharted Island',
	'Skittering Hollow',
	'The Rotting Mire',
	'Verdant Wilds',
	'Molten Cay',
	'The Dread Chain',
	'Whispering Reef',
	'Shrine of the Storm',
	'The Underrot',
	'Arathi Highlands',
	'Boralus',
	'Dazar\'alor',
	'Tol Dagor',
	'Gorgrond - Mag\'har Scenario',
	'Azsuna',
	'Val\'sharah',
	'Highmountain',
	'Stormheim',
	'Suramar',
	'Broken Shore',
	'Zuldazar',
	'Nazmir',
	'Vol\'dun',
	'Tiragarde Sound',
	'Drustvar',
	'Stormsong Valley',
	'Arathi Highlands',
	'Badlands',
	'Blasted Lands',
	'Tirisfal Glades',
	'Silverpine Forest',
	'Western Plaguelands',
	'Eastern Plaguelands',
	'Hillsbrad Foothills',
	'The Hinterlands',
	'Dun Morogh',
	'Searing Gorge',
	'Burning Steppes',
	'Elwynn Forest',
	'Deadwind Pass',
	'Duskwood',
	'Loch Modan',
	'Redridge Mountains',
	'Swamp of Sorrows',
	'Westfall',
	'Wetlands',
	'Stormwind City',
	'Ironforge',
	'Undercity',
	'Eversong Woods',
	'Ghostlands',
	'Silvermoon City',
	'Isle of Quel\'Danas',
	'Gilneas',
	'Vashj\'ir',
	'Ruins of Gilneas',
	'Stranglethorn Vale',
	'Twilight Highlands',
	'Tol Barad',
	'Tol Barad Peninsula',
	'Durotar',
	'Mulgore',
	'Northern Barrens',
	'Teldrassil',
	'Darkshore',
	'Ashenvale',
	'Thousand Needles',
	'Stonetalon Mountains',
	'Desolace',
	'Feralas',
	'Dustwallow Marsh',
	'Tanaris',
	'Azshara',
	'Felwood',
	'Un\'Goro Crater',
	'Moonglade',
	'Silithus',
	'Winterspring',
	'Thunder Bluff',
	'Darnassus',
	'Azuremyst Isle',
	'The Exodar',
	'Bloodmyst Isle',
	'Mount Hyjal',
	'Southern Barrens',
	'Uldum',
	'The Exodar',
	'Wintergrasp',
	'Cooking: Impossible',
	'Havenswood',
	'Jorundall',
	'Warsong Gulch',
	'Zandalari Treasury',
	'Nazjatar',
	'Shrine of the Storm',
	'Borean Tundra',
	'Dragonblight',
	'Grizzly Hills',
	'Howling Fjord',
	'Icecrown',
	'Sholazar Basin',
	'The Storm Peaks',
	'Zul\'Drak',
	'Wintergrasp',
	'Crystalsong Forest',
	'Hrothgar\'s Landing',
	'Ashran',
	'Mechagon Island',
}
